using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Chart;

namespace AxesTitleOverlap
{
  public partial class Form1 : Form
  {
    private ChartAxis _temperatureAxis = new ChartAxis();
    private ChartAxis _derivative1Axis = new ChartAxis();

    public Form1()
    {
      InitializeComponent();

      // Specify temperature y-axis
      _temperatureAxis.Title = "Temperature";
      _temperatureAxis.OpposedPosition = true;
      _temperatureAxis.DrawGrid = false;
      _temperatureAxis.Orientation = ChartOrientation.Vertical;
      _temperatureAxis.RangePaddingType = ChartAxisRangePaddingType.None;
      _temperatureAxis.ForeColor = Color.Red;
      this.chartControl1.Axes.Add(_temperatureAxis);

      // Specify derivative1 y-axis
      _derivative1Axis.Title = "Derivative 1";
      _derivative1Axis.OpposedPosition = true;
      _derivative1Axis.DrawGrid = false;
      _derivative1Axis.Orientation = ChartOrientation.Vertical;
      _derivative1Axis.RangePaddingType = ChartAxisRangePaddingType.None;
      _derivative1Axis.ForeColor = Color.Blue;
      this.chartControl1.Axes.Add(_derivative1Axis);
    }
  }
}